开启辅助访问
 找回密码
 注册帐号

扫一扫,访问微社区

问答求助

关注:483

当前位置:游戏蛮牛 技术专区 问答求助

_____________________________________________________________________________________________________________
问答求助版块规则:

  1、问题尽量描述清楚
      2、代码要放在代码块里
      3、附件最好放到云盘,然后把链接放到TXT文档里,上传TXT文档。【最好没有附件,你懂得】
      4、本版块回复不得无意义,如:顶、呵呵、不错......以及擦边!【真的会扣分的哦】严重者,封IP!
      5、问题得到解决,请选择最佳答案。
      6、若问题是你自己解决了,可以联系管理员,返还蛮牛币,写下你的答案,另有蛮牛币奖赏。
_____________________________________________________________________________________________________________
查看: 309|回复: 14

[基本操作] 打包到安卓,启动就闪退

[复制链接]  [移动端链接]
排名
28853
昨日变化
7

1

主题

7

帖子

18

积分

Rank: 1

UID
245668
好友
0
蛮牛币
22
威望
0
注册时间
2017-9-24
在线时间
2 小时
最后登录
2017-11-15
发表于 7 天前 | 显示全部楼层 |阅读模式
5蛮牛币
做了一个小游戏,想在手机上跑一下。安装了JDK和SDK。
打包安卓的时候提示版本低,点击更新,然后就APK就有了。
也能安装,但是手机打不开,点击就是闪一下,秒退了。
用虚拟机也不行。
新人一个,求问是不是还要设置什么

回复

使用道具 举报

6蛮牛粉丝
1212/1500
排名
1789
昨日变化
1

9

主题

270

帖子

1212

积分

Rank: 6Rank: 6Rank: 6

UID
1303
好友
2
蛮牛币
1249
威望
0
注册时间
2013-8-1
在线时间
314 小时
最后登录
2017-11-17

迈向小康

发表于 7 天前 | 显示全部楼层
林权 发表于 2017-11-14 15:32
为什么这么多教程,就没一个完整的关于发布安卓的教程吗?
还是我太笨找不到啊。。。
有没有过来人给个教程 ...

不方!
----------------------------------
有两个解决方案:
1. 首先,你去查查怎么使用Eclipse、Android Studio调试真机APK。然后将错误日志发上来,这样我们才能查看信息。
2. 你新开一个工程,然后直接使用现在SDK和JDK打包。如果问题依旧。估摸着是SDK的问题,你可以重新下一个SDK试试。
[发帖际遇]: lzc_sys 发帖时在路边捡到 1 蛮牛币,偷偷放进了口袋. 幸运榜 / 衰神榜

回复

使用道具 举报

6蛮牛粉丝
1212/1500
排名
1789
昨日变化
1

9

主题

270

帖子

1212

积分

Rank: 6Rank: 6Rank: 6

UID
1303
好友
2
蛮牛币
1249
威望
0
注册时间
2013-8-1
在线时间
314 小时
最后登录
2017-11-17

迈向小康

发表于 6 天前 | 显示全部楼层
用数据线连接手机,然后打开eclipse或者Android studio,查看一下错误日志。。把日志发上来。
你这样是没法查问题的。。

回复

使用道具 举报

6蛮牛粉丝
1026/1500
排名
3658
昨日变化
16

14

主题

320

帖子

1026

积分

Rank: 6Rank: 6Rank: 6

UID
218268
好友
4
蛮牛币
1113
威望
0
注册时间
2017-4-18
在线时间
370 小时
最后登录
2017-11-19

迈向小康

发表于 6 天前 | 显示全部楼层
你得把报错信息打印出来,最简单的办法就是你建个txt,把错误信息存起来自己看看是什么

回复

使用道具 举报

排名
28853
昨日变化
7

1

主题

7

帖子

18

积分

Rank: 1

UID
245668
好友
0
蛮牛币
22
威望
0
注册时间
2017-9-24
在线时间
2 小时
最后登录
2017-11-15
 楼主| 发表于 6 天前 | 显示全部楼层
独落伊人春 发表于 2017-11-14 09:26
你得把报错信息打印出来,最简单的办法就是你建个txt,把错误信息存起来自己看看是什么 ...

错误信息?在哪看,unity打包的时候控制台没有报错。是要下什么东西查看吗

回复

使用道具 举报

排名
28853
昨日变化
7

1

主题

7

帖子

18

积分

Rank: 1

UID
245668
好友
0
蛮牛币
22
威望
0
注册时间
2017-9-24
在线时间
2 小时
最后登录
2017-11-15
 楼主| 发表于 6 天前 | 显示全部楼层
lzc_sys 发表于 2017-11-14 09:05
用数据线连接手机,然后打开eclipse或者Android studio,查看一下错误日志。。把日志发上来。
你这样是没法 ...

这样的啊,我查查这两个东西怎么用

回复

使用道具 举报

7日久生情
1998/5000
排名
534
昨日变化
1

4

主题

100

帖子

1998

积分

Rank: 7Rank: 7Rank: 7Rank: 7

UID
84820
好友
17
蛮牛币
1162
威望
0
注册时间
2015-3-26
在线时间
678 小时
最后登录
2017-11-17
发表于 6 天前 | 显示全部楼层
程序有错误吧

回复

使用道具 举报

排名
28853
昨日变化
7

1

主题

7

帖子

18

积分

Rank: 1

UID
245668
好友
0
蛮牛币
22
威望
0
注册时间
2017-9-24
在线时间
2 小时
最后登录
2017-11-15
 楼主| 发表于 6 天前 | 显示全部楼层

我换个空场景,放两个球上去,然后打包Android也是这样。下了个android studio,没搞明白怎么用。哎,快哭了

回复

使用道具 举报

排名
28853
昨日变化
7

1

主题

7

帖子

18

积分

Rank: 1

UID
245668
好友
0
蛮牛币
22
威望
0
注册时间
2017-9-24
在线时间
2 小时
最后登录
2017-11-15
 楼主| 发表于 6 天前 | 显示全部楼层
为什么这么多教程,就没一个完整的关于发布安卓的教程吗?
还是我太笨找不到啊。。。
有没有过来人给个教程链接我学学。
找一天了

回复

使用道具 举报

6蛮牛粉丝
1026/1500
排名
3658
昨日变化
16

14

主题

320

帖子

1026

积分

Rank: 6Rank: 6Rank: 6

UID
218268
好友
4
蛮牛币
1113
威望
0
注册时间
2017-4-18
在线时间
370 小时
最后登录
2017-11-19

迈向小康

发表于 6 天前 | 显示全部楼层
林权 发表于 2017-11-14 10:13
错误信息?在哪看,unity打包的时候控制台没有报错。是要下什么东西查看吗 ...

追踪一下打印信息

回复

使用道具 举报

排名
28853
昨日变化
7

1

主题

7

帖子

18

积分

Rank: 1

UID
245668
好友
0
蛮牛币
22
威望
0
注册时间
2017-9-24
在线时间
2 小时
最后登录
2017-11-15
 楼主| 发表于 6 天前 | 显示全部楼层
lzc_sys 发表于 2017-11-14 16:14
不方!
----------------------------------
有两个解决方案:

恩恩,空场景也是打不开的。
在试试,下了SDK有的3G,有的300M。。。
我用5.3的unity可以打包,但打不开。我下了2017版本,unity打包时候直接报错了。
问下,发布安卓的时候,unity会提示23<25,我就点击升级了。这样没错的吧。
我再试试别的SDK,
那个java我下的7,然后cmd打java和javac都是可以的,应该不是它的问题吧

回复

使用道具 举报

排名
28853
昨日变化
7

1

主题

7

帖子

18

积分

Rank: 1

UID
245668
好友
0
蛮牛币
22
威望
0
注册时间
2017-9-24
在线时间
2 小时
最后登录
2017-11-15
 楼主| 发表于 5 天前 | 显示全部楼层
本帖最后由 林权 于 2017-11-15 01:19 编辑
lzc_sys 发表于 2017-11-13 20:40
不方!
----------------------------------
有两个解决方案:

我用5.3.0的版本是可以发布,安装,但是打不开。
又下了2017版本,发布直接报错。
Eslipse和android studio下了,网上各种教程也试了,很乱。不会用
现在帮忙看看unity报的这个错误,能不能反应出问题。
--------------------------------------------------
我仿佛日了狗一样的心情,大神~
我把SDK的API升级到25,然后用2017创建空场景,并打包,居然成功运行。
同样的SDK,用5.3.0f创建空场景,还是能安装,不能打开。
我真的是,哎。
是SDK和unity版本不匹配的原因吗?
嗯,我又试了一下,5.3.0做的东西,用2017也可以发布,我勒个去,搞了半天是这个版本问题啊

回复

使用道具 举报

6蛮牛粉丝
1212/1500
排名
1789
昨日变化
1

9

主题

270

帖子

1212

积分

Rank: 6Rank: 6Rank: 6

UID
1303
好友
2
蛮牛币
1249
威望
0
注册时间
2013-8-1
在线时间
314 小时
最后登录
2017-11-17

迈向小康

发表于 5 天前 | 显示全部楼层
sdk和unity3d不匹配?那应该直接不能打包才对。。
这是我sdk的图,unity 5.1.1、unity 5.5.0, unity 2017.2 都没问题,或许你可以参考一下。

sdk

sdk
还有,你或许可以直接用unity 2017好了,毕竟这个版本支持.net 4.6,解决了不少c#方面的问题,性能也提高不少。
----------------------------------------
最后,你要想做Unity开发,Android的调试有空得学一下,不然太被动了。。


回复

使用道具 举报

3偶尔光临
167/300
排名
10211
昨日变化
144

0

主题

53

帖子

167

积分

Rank: 3Rank: 3Rank: 3

UID
233467
好友
0
蛮牛币
438
威望
0
注册时间
2017-7-21
在线时间
40 小时
最后登录
2017-11-19
发表于 5 天前 | 显示全部楼层
你要想做Unity开发,Android的调试有空得学一下,不然太被动了。

回复

使用道具 举报

排名
23900
昨日变化
6

0

主题

11

帖子

31

积分

Rank: 1

UID
249339
好友
0
蛮牛币
22
威望
0
注册时间
2017-10-17
在线时间
8 小时
最后登录
2017-11-18
发表于 4 天前 | 显示全部楼层
常见归纳:
1.所有游戏场景添加到Scenes in Build列表
2.资源路径所有文件不得包含中文字符(部分平台游戏名不可包含中文)
3.PlayerSetting设置Target API Level(安卓API)等级是否符合目标,Device Filter设置是否符合目标
4.Build时勾选Development build、Autoconnect Profiler、Script Debugginf ,然后打开Windows-Profiler-Connect Player Editor-选中局域网监视目标(手机)IP地址 , 打开游戏进行简单的Debug、性能资源检视

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册帐号

本版积分规则

快速回复 返回顶部 返回列表